QXmppServerPlugin Class Referenceabstract

The QXmppServerPlugin class is the base class for QXmppServer plugins. More...

`#include <QXmppServerPlugin.h>`

Inherits QObject, and QXmppServerPluginInterface.

## Public Member Functions

QXmppServerExtension * | create (const QString &key) override=0
QStringList | keys () const override=0

## Detailed Description

The QXmppServerPlugin class is the base class for QXmppServer plugins.

## Member Function Documentation

## create()

QXmppServerExtension* QXmppServerPlugin::create | ( | const QString & | key | ) |

override pure virtual

Creates and returns the specified QXmppServerExtension.

Parameters

  key | The key for the QXmppServerExtension.

## keys()

QStringList QXmppServerPlugin::keys | ( |  | ) | const

override pure virtual

Returns the list of keys supported by this plugin.

The documentation for this class was generated from the following file:

- QXmppServerPlugin.h